Skip to main content
Version: 10.0

Zone Configuration Resource

Description​

A resource for examining the mitigation configuration of a zone.

Note that zone configuration changes MUST be done from a specific configuration revision.

GET /zones/:ID/configurations​

Get information about the zone's current mitigation and reporting threshold settings. This automatically fills in the current revision.

See /zones/:ID/revisions/:REV/configurations below for details.

GET /zones/:ID/revisions/:REV/configurations​

Get configuration for a specific revision. The latest revision can be requested from the configuration revision resource. When you intend to make configuration changes, it is recommended to query based on an explicit revision to avoid conflicting with concurrent changes.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe numeric ID of the zone to query. 
:REVYesURL ParameterID of the config revision to query.

GET Response Values​

NameTypeDescription
template_resourceJSON StringThe base template resource for the zone.
template_config_resourceJSON StringA durable reference to the template's configuration, even if that template is no longer accessible to the user.
template_nameJSON StringThe display name for the template resource.
template_deletedJSON BooleanWhether or not the template object has been deleted.
configurationsJSON ObjectAn object containing all of the configuration controls for the zone. Each element in this object is a JSON String key/value pair used by the algorithms in RIOS filter devices and the reporting elements in rWeb. The keys and values are highly specific to their function and which algorithms they impact, so this will not be documented here.
revision_numJSON NumberThe current revision number for configuration changes in the zone.

Example GET Request​

 GET /zones/2031/configurations

Example GET Response​

 {
"template_resource": "/groups/279/templates/1",
"template_config_resource": "/zones/279/revisions/13/configurations/templates/1",
"template_name": "Default",
"template_deleted": false,
"configurations": {
"allow_ggp_traffic": "yes",
"allow_icmp_pings": "yes",
"allow_icmp_traffic": "yes",
"allow_other_ip_traffic": "yes",
"allow_port_80_udp_traffic": "yes",
"allow_tcp_traffic": "yes",
"allow_udp_traffic": "yes",
"at_10_attack_duration_minute_email_threshold": "10",
"at_10_attack_duration_minute_reporting_threshold": "10",
"at_10_attack_packet_count_email_threshold": "1000",
"at_10_attack_packet_count_reporting_threshold": "1000",
"at_10_attack_packet_rate_email_threshold": "100",
"at_10_attack_packet_rate_reporting_threshold": "100",
"at_10_email_type": "as_reporting",
"at_10_enable_email_threshold": "yes",
"at_10_enable_reporting_threshold": "yes",
"at_10_suppress_email": "no",
"at_11_attack_duration_minute_email_threshold": "10",
"at_11_attack_duration_minute_reporting_threshold": "10",
"at_11_attack_packet_count_email_threshold": "1000",
"at_11_attack_packet_count_reporting_threshold": "1000",
"at_11_attack_packet_rate_email_threshold": "100",
"at_11_attack_packet_rate_reporting_threshold": "100",
"at_11_email_type": "as_reporting",
"at_11_enable_email_threshold": "yes",
"at_11_enable_reporting_threshold": "yes",
"at_11_suppress_email": "no",
"at_12_attack_duration_minute_email_threshold": "10",
"at_12_attack_duration_minute_reporting_threshold": "10",
"at_12_attack_packet_count_email_threshold": "1000",
"at_12_attack_packet_count_reporting_threshold": "1000",
"at_12_attack_packet_rate_email_threshold": "100",
"at_12_attack_packet_rate_reporting_threshold": "100",
"at_12_email_type": "as_reporting",
"at_12_enable_email_threshold": "yes",
"at_12_enable_reporting_threshold": "yes",
"at_12_suppress_email": "no",
"at_13_attack_duration_minute_email_threshold": "10",
"at_13_attack_duration_minute_reporting_threshold": "10",
"at_13_attack_packet_count_email_threshold": "1000",
"at_13_attack_packet_count_reporting_threshold": "1000",
"at_13_attack_packet_rate_email_threshold": "100",
"at_13_attack_packet_rate_reporting_threshold": "100",
"at_13_email_type": "as_reporting",
"at_13_enable_email_threshold": "yes",
"at_13_enable_reporting_threshold": "yes",
"at_13_suppress_email": "no",
"at_14_attack_duration_minute_email_threshold": "10",
"at_14_attack_duration_minute_reporting_threshold": "10",
"at_14_attack_packet_count_email_threshold": "1000",
"at_14_attack_packet_count_reporting_threshold": "1000",
"at_14_attack_packet_rate_email_threshold": "100",
"at_14_attack_packet_rate_reporting_threshold": "100",
"at_14_email_type": "as_reporting",
"at_14_enable_email_threshold": "yes",
"at_14_enable_reporting_threshold": "yes",
"at_14_suppress_email": "no",
"at_15_attack_duration_minute_email_threshold": "10",
"at_15_attack_duration_minute_reporting_threshold": "10",
"at_15_attack_packet_count_email_threshold": "1000",
"at_15_attack_packet_count_reporting_threshold": "1000",
"at_15_attack_packet_rate_email_threshold": "100",
"at_15_attack_packet_rate_reporting_threshold": "100",
"at_15_email_type": "as_reporting",
"at_15_enable_email_threshold": "yes",
"at_15_enable_reporting_threshold": "yes",
"at_15_suppress_email": "no",
"at_16_attack_duration_minute_email_threshold": "10",
"at_16_attack_duration_minute_reporting_threshold": "10",
"at_16_attack_packet_count_email_threshold": "1000",
"at_16_attack_packet_count_reporting_threshold": "1000",
"at_16_attack_packet_rate_email_threshold": "100",
"at_16_attack_packet_rate_reporting_threshold": "100",
"at_16_email_type": "as_reporting",
"at_16_enable_email_threshold": "yes",
"at_16_enable_reporting_threshold": "yes",
"at_16_suppress_email": "no",
"at_17_attack_duration_minute_email_threshold": "10",
"at_17_attack_duration_minute_reporting_threshold": "10",
"at_17_attack_packet_count_email_threshold": "100000",
"at_17_attack_packet_count_reporting_threshold": "100000",
"at_17_attack_packet_rate_email_threshold": "10000",
"at_17_attack_packet_rate_reporting_threshold": "10000",
"at_17_email_type": "as_reporting",
"at_17_enable_email_threshold": "yes",
"at_17_enable_reporting_threshold": "yes",
"at_17_random_bucket_dynamic_sensitivity": "131",
"at_17_random_bucket_use_dynamic": "yes",
"at_17_suppress_email": "no",
"at_18_attack_duration_minute_email_threshold": "10",
"at_18_attack_duration_minute_reporting_threshold": "10",
"at_18_attack_packet_count_email_threshold": "10000",
"at_18_attack_packet_count_reporting_threshold": "10000",
"at_18_attack_packet_rate_email_threshold": "1000",
"at_18_attack_packet_rate_reporting_threshold": "1000",
"at_18_email_type": "as_reporting",
"at_18_enable_email_threshold": "yes",
"at_18_enable_reporting_threshold": "yes",
"at_18_suppress_email": "no",
"at_19_attack_duration_minute_email_threshold": "10",
"at_19_attack_duration_minute_reporting_threshold": "10",
"at_19_attack_packet_count_email_threshold": "10000",
"at_19_attack_packet_count_reporting_threshold": "10000",
"at_19_attack_packet_rate_email_threshold": "1000",
"at_19_attack_packet_rate_reporting_threshold": "1000",
"at_19_dns_validate_packets": "yes",
"at_19_email_type": "as_reporting",
"at_19_enable_duplicate_request_test": "yes",
"at_19_enable_email_threshold": "yes",
"at_19_enable_reporting_threshold": "yes",
"at_19_suppress_email": "no",
"at_1_allow_packets_with_payload": "no",
"at_1_allow_start_with_zero_window": "no",
"at_1_attack_duration_minute_email_threshold": "10",
"at_1_attack_duration_minute_reporting_threshold": "10",
"at_1_attack_packet_count_email_threshold": "100000",
"at_1_attack_packet_count_reporting_threshold": "100000",
"at_1_attack_packet_rate_email_threshold": "10000",
"at_1_attack_packet_rate_reporting_threshold": "10000",
"at_1_disable_flood_mitigation": "no",
"at_1_email_type": "as_reporting",
"at_1_enable_email_threshold": "yes",
"at_1_enable_reporting_threshold": "yes",
"at_1_st_2_duplicates_allowed_max": "10",
"at_1_suppress_email": "no",
"at_20_attack_duration_minute_email_threshold": "10",
"at_20_attack_duration_minute_reporting_threshold": "10",
"at_20_attack_packet_count_email_threshold": "10000",
"at_20_attack_packet_count_reporting_threshold": "10000",
"at_20_attack_packet_rate_email_threshold": "1000",
"at_20_attack_packet_rate_reporting_threshold": "1000",
"at_20_email_type": "as_reporting",
"at_20_enable_email_threshold": "yes",
"at_20_enable_reporting_threshold": "yes",
"at_20_suppress_email": "no",
"at_21_attack_duration_minute_email_threshold": "10",
"at_21_attack_duration_minute_reporting_threshold": "10",
"at_21_attack_packet_count_email_threshold": "10000",
"at_21_attack_packet_count_reporting_threshold": "10000",
"at_21_attack_packet_rate_email_threshold": "1000",
"at_21_attack_packet_rate_reporting_threshold": "1000",
"at_21_email_type": "as_reporting",
"at_21_enable_email_threshold": "yes",
"at_21_enable_reporting_threshold": "yes",
"at_21_suppress_email": "no",
"at_22_allow_chargen_traffic": "no",
"at_22_allow_qotd_traffic": "no",
"at_22_allow_ssdp_traffic": "yes",
"at_22_attack_duration_minute_email_threshold": "10",
"at_22_attack_duration_minute_reporting_threshold": "10",
"at_22_attack_packet_count_email_threshold": "10000",
"at_22_attack_packet_count_reporting_threshold": "10000",
"at_22_attack_packet_rate_email_threshold": "1000",
"at_22_attack_packet_rate_reporting_threshold": "1000",
"at_22_disable_payload_scoring": "no",
"at_22_email_type": "as_reporting",
"at_22_enable_duplicate_payload_test": "yes",
"at_22_enable_email_threshold": "yes",
"at_22_enable_reporting_threshold": "yes",
"at_22_ntp_priv_mode_req_codes_allowed": "0,1,2,3,4,5,6,7,8,9,10,11,12,13,16,17,18,19,21,22,23,26,27,28,29,30,31,32,33,34,36,37,38,39,43,44,45",
"at_22_ntp_validate_packets": "yes",
"at_22_ntp_versions_allowed": "2,3,4",
"at_22_suppress_email": "no",
"at_22_udp_payload_entropy_threshold_high": "95",
"at_22_udp_payload_entropy_threshold_low": "15",
"at_23_attack_duration_minute_email_threshold": "10",
"at_23_attack_duration_minute_reporting_threshold": "10",
"at_23_attack_packet_count_email_threshold": "100000",
"at_23_attack_packet_count_reporting_threshold": "100000",
"at_23_attack_packet_rate_email_threshold": "10000",
"at_23_attack_packet_rate_reporting_threshold": "10000",
"at_23_email_type": "as_reporting",
"at_23_enable_email_threshold": "yes",
"at_23_enable_reporting_threshold": "yes",
"at_23_suppress_email": "no",
"at_24_attack_duration_minute_email_threshold": "10",
"at_24_attack_duration_minute_reporting_threshold": "10",
"at_24_attack_packet_count_email_threshold": "10000",
"at_24_attack_packet_count_reporting_threshold": "10000",
"at_24_attack_packet_rate_email_threshold": "1000",
"at_24_attack_packet_rate_reporting_threshold": "1000",
"at_24_email_type": "as_reporting",
"at_24_enable_email_threshold": "yes",
"at_24_enable_reporting_threshold": "yes",
"at_24_suppress_email": "no",
"at_25_attack_duration_minute_email_threshold": "10",
"at_25_attack_duration_minute_reporting_threshold": "10",
"at_25_attack_packet_count_email_threshold": "100000",
"at_25_attack_packet_count_reporting_threshold": "100000",
"at_25_attack_packet_rate_email_threshold": "10000",
"at_25_attack_packet_rate_reporting_threshold": "10000",
"at_25_email_type": "as_reporting",
"at_25_enable_email_threshold": "yes",
"at_25_enable_reporting_threshold": "yes",
"at_25_suppress_email": "no",
"at_2_allow_packets_with_payload": "no",
"at_2_allow_start_with_zero_window": "yes",
"at_2_attack_duration_minute_email_threshold": "10",
"at_2_attack_duration_minute_reporting_threshold": "10",
"at_2_attack_packet_count_email_threshold": "100000",
"at_2_attack_packet_count_reporting_threshold": "100000",
"at_2_attack_packet_rate_email_threshold": "10000",
"at_2_attack_packet_rate_reporting_threshold": "10000",
"at_2_disable_flood_mitigation": "no",
"at_2_email_type": "as_reporting",
"at_2_enable_email_threshold": "yes",
"at_2_enable_reporting_threshold": "yes",
"at_2_st_2_duplicates_allowed_max": "10",
"at_2_suppress_email": "no",
"at_3_attack_duration_minute_email_threshold": "10",
"at_3_attack_duration_minute_reporting_threshold": "10",
"at_3_attack_packet_count_email_threshold": "100000",
"at_3_attack_packet_count_reporting_threshold": "100000",
"at_3_attack_packet_rate_email_threshold": "10000",
"at_3_attack_packet_rate_reporting_threshold": "10000",
"at_3_email_type": "as_reporting",
"at_3_enable_email_threshold": "yes",
"at_3_enable_reporting_threshold": "yes",
"at_3_small_data_payload_max_bytes": "20",
"at_3_st_1_2_unmatched_packet_percentage_allowed": "1",
"at_3_st_5_6_duplicates_allowed_max": "10",
"at_3_suppress_email": "no",
"at_3_test_small_data": "no",
"at_4_attack_duration_minute_email_threshold": "10",
"at_4_attack_duration_minute_reporting_threshold": "10",
"at_4_attack_packet_count_email_threshold": "10000",
"at_4_attack_packet_count_reporting_threshold": "10000",
"at_4_attack_packet_rate_email_threshold": "1000",
"at_4_attack_packet_rate_reporting_threshold": "1000",
"at_4_email_type": "as_reporting",
"at_4_enable_email_threshold": "yes",
"at_4_enable_reporting_threshold": "yes",
"at_4_suppress_email": "no",
"at_5_attack_duration_minute_email_threshold": "10",
"at_5_attack_duration_minute_reporting_threshold": "10",
"at_5_attack_packet_count_email_threshold": "100000",
"at_5_attack_packet_count_reporting_threshold": "100000",
"at_5_attack_packet_rate_email_threshold": "10000",
"at_5_attack_packet_rate_reporting_threshold": "10000",
"at_5_email_type": "as_reporting",
"at_5_enable_email_threshold": "yes",
"at_5_enable_reporting_threshold": "yes",
"at_5_st_5_duplicates_allowed_max": "10",
"at_5_suppress_email": "no",
"at_61_attack_duration_minute_email_threshold": "10",
"at_61_attack_duration_minute_reporting_threshold": "10",
"at_61_attack_packet_count_email_threshold": "1000",
"at_61_attack_packet_count_reporting_threshold": "1000",
"at_61_attack_packet_rate_email_threshold": "100",
"at_61_attack_packet_rate_reporting_threshold": "100",
"at_61_email_type": "as_reporting",
"at_61_enable_email_threshold": "yes",
"at_61_enable_reporting_threshold": "yes",
"at_61_filter_mode": "auto",
"at_61_suppress_email": "no",
"at_62_attack_duration_minute_email_threshold": "10",
"at_62_attack_duration_minute_reporting_threshold": "10",
"at_62_attack_packet_count_email_threshold": "100000",
"at_62_attack_packet_count_reporting_threshold": "100000",
"at_62_attack_packet_rate_email_threshold": "10000",
"at_62_attack_packet_rate_reporting_threshold": "10000",
"at_62_drop_incomplete_v6ext_hdr": "yes",
"at_62_drop_invalid_ipv4_header_length_packets": "true",
"at_62_drop_invalid_ipv4_length_packets": "true",
"at_62_drop_misplaced_v6ext_hdr": "yes",
"at_62_drop_tcp_null_port_packets": "yes",
"at_62_drop_udp_null_port_packets": "yes",
"at_62_drop_v6addr_6to4": "no",
"at_62_drop_v6addr_benchmark": "no",
"at_62_drop_v6addr_local": "no",
"at_62_drop_v6addr_loopback": "no",
"at_62_drop_v6addr_multicast": "no",
"at_62_drop_v6addr_nonassigned": "no",
"at_62_drop_v6addr_noroute": "no",
"at_62_drop_v6addr_orchid": "no",
"at_62_drop_v6addr_teredo": "no",
"at_62_drop_v6addr_v4embed": "no",
"at_62_drop_v6jumbopayload": "no",
"at_62_email_type": "as_reporting",
"at_62_enable_email_threshold": "yes",
"at_62_enable_reporting_threshold": "yes",
"at_62_filter_mode": "auto",
"at_62_max_count_v6ext_hdr": "255",
"at_62_max_layer_tunnel_nest": "255",
"at_62_max_nest_v6hdr_frag": "255",
"at_62_max_size_v6ext_hdr": "2047",
"at_62_max_size_v6jumbopayload": "4294967295",
"at_62_suppress_email": "no",
"at_63_attack_duration_minute_email_threshold": "10",
"at_63_attack_duration_minute_reporting_threshold": "10",
"at_63_attack_packet_count_email_threshold": "100000",
"at_63_attack_packet_count_reporting_threshold": "100000",
"at_63_attack_packet_rate_email_threshold": "10000",
"at_63_attack_packet_rate_reporting_threshold": "10000",
"at_63_email_type": "as_reporting",
"at_63_enable_email_threshold": "yes",
"at_63_enable_reporting_threshold": "yes",
"at_63_filter_mode": "auto",
"at_63_suppress_email": "no",
"at_6_attack_duration_minute_email_threshold": "10",
"at_6_attack_duration_minute_reporting_threshold": "10",
"at_6_attack_packet_count_email_threshold": "100000",
"at_6_attack_packet_count_reporting_threshold": "100000",
"at_6_attack_packet_rate_email_threshold": "10000",
"at_6_attack_packet_rate_reporting_threshold": "10000",
"at_6_email_type": "as_reporting",
"at_6_enable_email_threshold": "yes",
"at_6_enable_reporting_threshold": "yes",
"at_6_suppress_email": "no",
"at_7_attack_duration_minute_email_threshold": "10",
"at_7_attack_duration_minute_reporting_threshold": "10",
"at_7_attack_packet_count_email_threshold": "100000",
"at_7_attack_packet_count_reporting_threshold": "100000",
"at_7_attack_packet_rate_email_threshold": "10000",
"at_7_attack_packet_rate_reporting_threshold": "10000",
"at_7_email_type": "as_reporting",
"at_7_enable_email_threshold": "yes",
"at_7_enable_reporting_threshold": "yes",
"at_7_filter_mode": "auto",
"at_7_ip_blocktime": "600",
"at_7_session_block_rate_per_ip": "300",
"at_7_session_limit_rate_per_ip": "200",
"at_7_suppress_email": "no",
"at_8_aggressive_detection": "no",
"at_8_attack_bad_sess_percent_min": "50",
"at_8_attack_bad_sess_threshold_min": "50",
"at_8_attack_duration_minute_email_threshold": "10",
"at_8_attack_duration_minute_reporting_threshold": "10",
"at_8_attack_packet_count_email_threshold": "10000",
"at_8_attack_packet_count_reporting_threshold": "10000",
"at_8_attack_packet_rate_email_threshold": "1000",
"at_8_attack_packet_rate_reporting_threshold": "1000",
"at_8_bad_session_ack_small_data_count_max": "50",
"at_8_block_duplicate_ack_pkt_ips": "no",
"at_8_block_open_session_ips": "no",
"at_8_block_rst_close_ips": "no",
"at_8_block_time_minutes": "30",
"at_8_drop_data_after_close": "no",
"at_8_email_type": "as_reporting",
"at_8_enable_email_threshold": "yes",
"at_8_enable_reporting_threshold": "yes",
"at_8_filter_mode": "monitor",
"at_8_good_session_ack_no_data_count_min": "2",
"at_8_good_session_ack_with_data_count_min": "2",
"at_8_sensitivity": "5",
"at_8_small_data_size_max": "4",
"at_8_small_window_count_max": "50",
"at_8_small_window_size_max": "5",
"at_8_suppress_email": "no",
"at_8_victim_bad_sess_percent_min": "50",
"at_8_victim_bad_sess_threshold_min": "50",
"at_9_attack_duration_minute_email_threshold": "10",
"at_9_attack_duration_minute_reporting_threshold": "10",
"at_9_attack_packet_count_email_threshold": "10000",
"at_9_attack_packet_count_reporting_threshold": "10000",
"at_9_attack_packet_rate_email_threshold": "1000",
"at_9_attack_packet_rate_reporting_threshold": "1000",
"at_9_attack_pkt_threshold": "700",
"at_9_detector_restart_pkt_count": "80000",
"at_9_email_type": "as_reporting",
"at_9_enable_email_threshold": "yes",
"at_9_enable_reporting_threshold": "yes",
"at_9_gate_1_packet_threshold": "4000",
"at_9_gate_2_packet_threshold": "1000",
"at_9_min_suspect_pkt_percent_allowed": "5",
"at_9_min_test_sample_periods": "3",
"at_9_random_syn_attack_ip_bucket_count_min": "100",
"at_9_random_syn_attack_ip_bucket_value_low": "3",
"at_9_random_syn_attack_port_bucket_count_min": "100",
"at_9_random_syn_attack_port_bucket_value_low": "3",
"at_9_sample_restart_pkt_count": "1000",
"at_9_sensitivity": "5",
"at_9_suppress_email": "no",
"at_9_target_syn_attack_ip_bucket_value_high": "25",
"at_9_target_syn_attack_ip_bucket_value_max": "55",
"at_9_target_syn_attack_port_bucket_value_high": "25",
"at_https_dst_port": "443",
"at_https_send_rflow_samples": "no",
"block_private_ip": "yes",
"dns_filter_mode": "auto",
"dns_ip_blocktime": "600",
"dns_rate_per_ip": "200",
"dns_rate_per_ip_max": "300",
"drop_invalid_frag_bits_packets": "yes",
"drop_invalid_l4_length_packets": "yes",
"drop_invalid_small_packets": "yes",
"drop_invalid_tcp_flags_packets": "yes",
"drop_null_ip_address_packets": "yes",
"drop_null_port_packets": "yes",
"drop_null_tcp_flags_packets": "yes",
"excessive_verb_ss_filter_mode": "auto",
"faulty_application_filter_mode": "auto",
"http_ev_attacker_attack_pkt_threshold": "30",
"http_ev_attacker_attack_ratio": "85",
"http_ev_attack_pkt_ratio": "85",
"http_ev_duplicate_pkt_threshold": "30",
"http_ev_filter_mode": "auto",
"http_ev_filter_sensitivity": "5",
"http_ev_ip_blocktime": "60",
"http_ev_max_req_size_to_check": "1370",
"http_ev_victim_attack_pkt_threshold": "70",
"http_ev_victim_attack_ratio": "85",
"http_frag_attacker_attack_pkt_threshold": "10",
"http_frag_attacker_attack_ratio": "80",
"http_frag_attack_flow_ratio": "51",
"http_frag_attack_flow_threshold": "1",
"http_frag_check_ip_len_skip_enable": "yes",
"http_frag_check_ip_len_skip_list": "284-296, 496-508, 564-576, 994-1006, 1468-1500, 1990-2002, 4340-4352, 4452-4464",
"http_frag_filter_mode": "auto",
"http_frag_filter_sensitivity": "5",
"http_frag_ip_blocktime": "60",
"http_frag_max_req_size_to_check": "500",
"http_frag_victim_attack_pkt_threshold": "10",
"http_frag_victim_attack_ratio": "80",
"http_mv_attacker_attack_pkt_threshold": "20",
"http_mv_attacker_attack_ratio": "95",
"http_mv_attack_pkt_ratio": "95",
"http_mv_filter_mode": "auto",
"http_mv_filter_sensitivity": "5",
"http_mv_ip_blocktime": "60",
"http_mv_multiple_get_count_allowed": "5",
"http_mv_victim_attack_pkt_threshold": "20",
"http_mv_victim_attack_ratio": "95",
"http_regex_ip_blocktime": "60",
"icmp_filter_activation_percent_threshold": "1",
"icmp_filter_activation_threshold": "1000",
"icmp_filter_flow_list_switch_packet_threshold": "2000000",
"icmp_filter_mode": "auto",
"icmp_filter_random_bucket_count_min": "20000",
"icmp_filter_sensitivity": "5",
"icmp_filter_stream_activation_threshold": "100",
"icmp_filter_threshold": "3",
"icmp_flow_threshold": "10",
"icmp_frag_allow_partial_headers": "yes",
"icmp_frag_filter_mode": "auto",
"icmp_frag_packet_percentage_allowed": "20",
"icmp_host_traffic_threshold": "1000",
"icmp_network_traffic_threshold": "5000",
"icmp_ping_filter_mode": "auto",
"icmp_ping_rate_per_ip": "300",
"icmp_ttl_allowed_high": "0",
"icmp_ttl_allowed_low": "0",
"misused_application_filter_mode": "auto",
"random_recursive_get_filter_mode": "auto",
"recursive_get_filter_mode": "auto",
"tcp_ack_filter_mode": "auto",
"tcp_fin_rst_filter_mode": "auto",
"tcp_fin_rst_packet_percentage_allowed": "4",
"tcp_fin_rst_to_ack_ratio_max": "4",
"tcp_fin_rst_to_syn_ratio_max": "4",
"tcp_frag_allow_partial_headers": "yes",
"tcp_frag_enforce_rfc1858": "yes",
"tcp_frag_filter_mode": "auto",
"tcp_frag_packet_percentage_allowed": "100",
"tcp_syn_ack_filter_mode": "auto",
"tcp_syn_filter_mode": "auto",
"tcp_synonymous_filter_mode": "auto",
"tcp_ttl_allowed_high": "0",
"tcp_ttl_allowed_low": "0",
"udp_filter_activation_percent_threshold": "1",
"udp_filter_activation_threshold": "1250",
"udp_filter_flow_list_switch_packet_threshold": "2000000",
"udp_filter_mode": "auto",
"udp_filter_random_bucket_count_min": "25000",
"udp_filter_sensitivity": "5",
"udp_filter_stream_activation_threshold": "100",
"udp_filter_stream_packet_count_min": "48",
"udp_filter_threshold": "3",
"udp_flow_threshold": "10",
"udp_frag_allow_partial_headers": "yes",
"udp_frag_filter_mode": "auto",
"udp_frag_packet_percentage_allowed": "20",
"udp_host_traffic_threshold": "1000",
"udp_identical_attack_pkt_threshold": "250",
"udp_identical_paramaters_min": "2",
"udp_identical_parameters_min": "2",
"udp_identical_pkt_blocktime": "20",
"udp_identical_pkt_large_size": "250",
"udp_identical_pkt_percentage_threshold": "80",
"udp_identical_pkt_test_size_min": "17",
"udp_media_flood_filter_mode": "auto",
"udp_network_traffic_threshold": "15000",
"udp_non_spoofed_filter_mode": "auto",
"udp_rate_per_ip": "300",
"udp_ttl_allowed_high": "0",
"udp_ttl_allowed_low": "0",
"udp_voip_filter_mode": "auto",
"udp_voip_packet_size_max": "332",
"udp_voip_start_port": "1000"
},
"revision_num": 13
}

POST /zones/:ID/revisions/:REV/configurations​

Create a new zone configuration revision.

Configuration will be based on the previous revision, so you may specifiy only the parts that you want to change.

Template changes and configuration changes are both optional. If a template_resource is specified, zone configuration will be replaced by the template before also applying the changes from configurations.

Note that zone configuration changes MUST be done from a specific configuration revision.

POST Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe numeric ID of the zone to query. 
:REVYesURL ParameterID of the config revision to query.
template_resourceNoJSON StringResource path to a templateUnchanged
configurationsNoJSON Object (String Values)New configurationUnchanged

POST Body​

The payload of the POST should be a JSON document.

This example will first set the zone's template to the settings from /groups/23/templates/1, and then will override the setting for allow_ggp_traffic.

All configuration values are expected to be strings, exactly the way they are returned from the GET request. Some values may have additional structure that will be validated and converted after POSTing.

{"data": {
"template_resource": "/groups/23/templates/1",
"configurations": {
"allow_ggp_traffic": "no"
}
}}